Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.errors
[Groovy] Class ErrorsViewStackTracePrinter

    java.lang.Object
      org.codehaus.groovy.grails.exceptions.DefaultStackTracePrinter
          org.codehaus.groovy.grails.exceptions.DefaultErrorsPrinter
              org.codehaus.groovy.grails.web.errors.ErrorsViewStackTracePrinter

    class ErrorsViewStackTracePrinter
    extends DefaultErrorsPrinter

Customized Stack trace output for the errors view.

Authors:
  Graeme Rocher

Since:
  2.0

Constructor Summary
`ErrorsViewStackTracePrinter(ResourceLocator resourceLocator)`

Method Summary
`java.lang.String` | `formatCodeSnippetEnd(Resource resource, int lineNumber)`
`protected java.lang.String` | `formatCodeSnippetErrorLine(int currentLineNumber, java.lang.Object currentLine)`
`protected java.lang.String` | `formatCodeSnippetLine(int currentLineNumber, java.lang.Object currentLine)`
`java.lang.String` | `formatCodeSnippetStart(Resource resource, int lineNumber)`
`protected int` | `getLineNumberInfo(java.lang.Throwable cause, int defaultInfo)`
`java.lang.String` | `prettyPrint(java.lang.Throwable t)`
`java.lang.String` | `prettyPrintCodeSnippet(java.lang.Throwable exception)`
`protected boolean` | `shouldSkipNextCause(java.lang.Throwable e)`

Methods inherited from class DefaultErrorsPrinter
formatCodeSnippetEnd, formatCodeSnippetErrorLine, formatCodeSnippetLine, formatCodeSnippetStart, getFileName, getFileNameInfo, getLineNumberInfo, getRootCause, prettyPrintCodeSnippet

Methods inherited from class DefaultStackTracePrinter
getFileName, makeRelativeIfPossible, prettyPrint, printCausedByMessage, printFailureLocation, printHeader, printLastEntry, printStackLine, shouldSkipNextCause

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ErrorsViewStackTracePrinter

    ErrorsViewStackTracePrinter(ResourceLocator resourceLocator)

Method Detail

### formatCodeSnippetEnd

    @Override
    java.lang.String formatCodeSnippetEnd(Resource resource, int lineNumber)

### formatCodeSnippetErrorLine

    @Override
    protected java.lang.String formatCodeSnippetErrorLine(int currentLineNumber, java.lang.Object currentLine)

### formatCodeSnippetLine

    @Override
    protected java.lang.String formatCodeSnippetLine(int currentLineNumber, java.lang.Object currentLine)

### formatCodeSnippetStart

    @Override
    java.lang.String formatCodeSnippetStart(Resource resource, int lineNumber)

### getLineNumberInfo

    @Override
    protected int getLineNumberInfo(java.lang.Throwable cause, int defaultInfo)

### prettyPrint

    @Override
    java.lang.String prettyPrint(java.lang.Throwable t)

### prettyPrintCodeSnippet

    @Override
    java.lang.String prettyPrintCodeSnippet(java.lang.Throwable exception)

### shouldSkipNextCause

    @Override
    protected boolean shouldSkipNextCause(java.lang.Throwable e)

Groovy Documentation